org.apache.lucene.spatial.util

## Class ShapeAreaValueSource

- java.lang.Object
- - org.apache.lucene.queries.function.ValueSource
  - - org.apache.lucene.spatial.util.ShapeAreaValueSource

-     public class ShapeAreaValueSource
      extends ValueSource

  The area of a Shape retrieved from a ValueSource via `FunctionValues.objectVal(int)`.
  See Also:
    `Shape.getArea(org.locationtech.spatial4j.context.SpatialContext)`
  WARNING: This API is experimental and might change in incompatible ways in the next release.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ShapeAreaValueSource(ValueSource shapeValueSource, org.locationtech.spatial4j.context.SpatialContext ctx, boolean geoArea, double multiplier)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `createWeight(Map context, IndexSearcher searcher)`
    `String` | `description()`
    `boolean` | `equals(Object o)`
    `FunctionValues` | `getValues(Map context, LeafReaderContext readerContext)`
    `int` | `hashCode()`

    - ### Methods inherited from class org.apache.lucene.queries.function.ValueSource

      `asDoubleValuesSource, asLongValuesSource, getSortField, newContext, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ShapeAreaValueSource

          public ShapeAreaValueSource(ValueSource shapeValueSource,
                                      org.locationtech.spatial4j.context.SpatialContext ctx,
                                      boolean geoArea,
                                      double multiplier)

  - ### Method Detail

    - #### description

          public String description()

      Specified by:
        `description` in class `ValueSource`

    - #### createWeight

          public void createWeight(Map context,
                                   IndexSearcher searcher)
                            throws IOException

      Overrides:
        `createWeight` in class `ValueSource`
      Throws:
        `IOException`

    - #### getValues

          public FunctionValues getValues(Map context,
                                          LeafReaderContext readerContext)
                                   throws IOException

      Specified by:
        `getValues` in class `ValueSource`
      Throws:
        `IOException`

    - #### equals

          public boolean equals(Object o)

      Specified by:
        `equals` in class `ValueSource`

    - #### hashCode

          public int hashCode()

      Specified by:
        `hashCode` in class `ValueSource`

Copyright © 2000-2019 Apache Software Foundation. All Rights Reserved.